<?php
if (isset($_SESSION['imp']['quota']) && is_array($_SESSION['imp']['quota'])) {
    require_once IMP_BASE . '/lib/Quota.php';
    $imp_quota = &IMP_Quota::singleton($_SESSION['imp']['quota']['driver'],
                                       $_SESSION['imp']['quota']['params']);
    if ($imp_quota !== false) {
        $quota = $imp_quota->getQuota();
        if (!is_a($quota, 'PEAR_Error')) {
            if ($quota['limit'] != 0) {
                $quota['usage'] = $quota['usage'] / (1024 * 1024.0);
                $quota['limit'] = $quota['limit'] / (1024 * 1024.0);
                $percent = round(($quota['usage'] * 100) / $quota['limit']);
                echo sprintf(_("Used %s%% of %s Mb"),
                             $percent,
                             round($quota['limit']));
            } elseif ($quota['usage'] != 0) {
                $quota['usage'] = round($quota['usage'] / (1024 * 1024.0));
                $percent = 0;
                echo sprintf(_("Used %s Mb"), $quota['usage']);
            } else {
                $percent = 0;
                echo _("No limit");
            }
?>
<div id="used"><?php echo Horde::img('quotauncover.gif', '', array('width' => 99 - $percent, 'height' => '10'), $GLOBALS['registry']->getImageDir('dimp')) ?></div>
<?php
        }
    }
}
